CVE-2014-0187

Priority
Medium
Description
The openvswitch-agent process in OpenStack Neutron 2013.1 before 2013.2.4
and 2014.1 before 2014.1.1 allows remote authenticated users to bypass
security group restrictions via an invalid CIDR in a security group rule,
which prevents further rules from being applied.
References
Bugs
Assigned-to
jdstrand
Package
Upstream:released (2014.2.b1)
Ubuntu 10.04 LTS (Lucid Lynx):DNE
Ubuntu 12.04 LTS (Precise Pangolin):DNE
Ubuntu 13.10 (Saucy Salamander):released (1:2013.2.3-0ubuntu1.5)
Ubuntu 14.04 LTS (Trusty Tahr):released (1:2014.1-0ubuntu1.3)
Ubuntu 14.10 (Utopic Unicorn):not-affected (1:2014.2~b1-0ubuntu2)
Patches:
Upstream:https://review.openstack.org/88057 (havana, pt1)
Upstream:https://review.openstack.org/88058 (havana, pt2)
Upstream:https://review.openstack.org/88674 (icehouse, pt1)
Upstream:https://review.openstack.org/88675 (icehouse, pt2)
Upstream:https://review.openstack.org/59212 (juno)
More Information

Valid XHTML 1.0 Strict

Updated: 2014-06-25 22:14:30 UTC (commit 8172)